import React, { useState } from 'react'
import Taro from '@tarojs/taro'
import '@/assets/css/reset.less'
import '@/assets/css/iconfont.less'
import './index.less'

export default function NewsListItem (props) {

  const [TestImg, setTestImg] = useState('https://timgsa.baidu.com/timg?image&quality=80&size=b9999_10000&sec=1606120989360&di=8610f1678b51e26de6d4c6af39d1cf63&imgtype=0&src=http%3A%2F%2Fattachments.gfan.com%2Fforum%2F201503%2F19%2F211608ztcq7higicydxhsy.jpg')
  const { ShowTips } = props

  return (
    <view className='NewsListItem flex-h' onClick={() => { Taro.navigateTo({ url: `/pages/HuoDong/ZiXunDetail/index?id=` }) }}>
      <view className='Img'>
        <image mode='aspectFill' src={TestImg}></image>
        {
          ShowTips &&
          <text>置顶</text>
        }
      </view>
      <view className='Info flex-item'>
        <text>破晓·内容生态下半场的版权之道—2019企业版权</text>
        <text>于2019-12-12 14:20:30发布</text>
      </view>
    </view >
  )
}
