import React, { Component } from 'react'
// import { View, Text } from '@tarojs/components'
import '../../assets/css/reset.less'
import '../../assets/css/iconfont.less'
import './index.less'

export default class TabPageCutNav extends Component {

  componentWillMount () { }

  componentDidMount () { }

  componentWillUnmount () { }

  componentDidShow () { }

  componentDidHide () { }

  render () {
    const { List = [], CurrentNavId = null, NavChange = () => { } } = this.props
    return (
      <view className='TabPageCutNav'>
        <view>
          <view className='flex-h'>
            {
              List.map((item, index) => (
                <view className='flex-item' key={`TabPageNav-${index}`}>
                  <text class={item.id - 0 === CurrentNavId - 0 ? 'active' : ''} onClick={NavChange(item)}>{item.name}</text>
                </view>
              ))
            }
          </view>
        </view>
      </view >
    )
  }
}
