import React, { useState } from 'react'
import Taro from '@tarojs/taro'
import WuYeBaoXiuItem from '../WuYeBaoXiuItem/index'
import '@/assets/css/reset.less'
import '@/assets/css/iconfont.less'
import './index.less'

export default function WuYeBaoXiu (props) {

  const [PageList, setPageList] = useState(['', '', '', '', '', '', ''])

  const [TestImg, setTestImg] = useState('https://timgsa.baidu.com/timg?image&quality=80&size=b9999_10000&sec=1606120989360&di=8610f1678b51e26de6d4c6af39d1cf63&imgtype=0&src=http%3A%2F%2Fattachments.gfan.com%2Fforum%2F201503%2F19%2F211608ztcq7higicydxhsy.jpg')

  return (
    <view className='WuYeBaoXiu'>

      {/* 大图 */}
      <view className='BigImg'>
        <image mode='aspectFill' src={TestImg} className='centerLabel'></image>
      </view>

      {/* 我要报修 */}
      <view className='WoYaoBaoXiu'>
        <view onClick={() => { Taro.navigateTo({ url: `/pages/WuYe/BaoXiuQuYu/index` }) }}>
          <text className='iconfont iconjia'></text>
          <text>我要报修</text>
        </view>
      </view>

      {/* 报修列表 */}
      <view className='List'>
        {
          PageList.map((item, index) => (
            <view key={`WuYeBaoXiuItem-${index}`}>
              <WuYeBaoXiuItem Data={{ ...item, id: index }}></WuYeBaoXiuItem>
            </view>
          ))
        }
      </view>

    </view>
  )
}
