import React, { useState } from 'react'
import { Current } from '@tarojs/taro'
import { Input } from '@tarojs/components'
import '@/assets/css/reset.less'
import '@/assets/css/iconfont.less'
import './index.less'

export default function ShangPinDuiHuan (props) {

  const CurrnetId = Current.router.params.id

  return (
    <view className='ShangPinDuiHuan'>
      <view className='Info'>
        <view className='Item flex-h'>
          <view className='Img'>
            <image mode='aspectFill' src={null} className='centerLabel'></image>
          </view>
          <view className='flex-item'>
            <text>沙发垫欧式轻奢</text>
            <view className='Num'>
              <text>78</text>
              <text>人已兑换</text>
            </view>
            <view className='flex-h'>
              <text>80000</text>
              <text>积分</text>
              <view className='flex-item'></view>
              <view className='EditNum flex-h'>
                <text className='iconfont iconjian'></text>
                <Input></Input>
                <text className='iconfont iconjia1'></text>
              </view>
            </view>
          </view>
        </view>
        <view className='InfoBottom'></view>
      </view>
      <view className='BottomBtn'>
        <text className='active'>确认兑换</text>
      </view>
    </view>
  )
}