import React, { useState } from 'react'
import ActivityListItem from '@/components/ActivityListItem/index'
import '@/assets/css/reset.less'
import '@/assets/css/iconfont.less'
import './index.less'

export default function WoDeHuoDong (props) {

  const [IsPull, setIsPull] = useState(false)
  const [ActivityList, setActivityList] = useState(['', '', '', '', '', '', ''])

  const OnRefresh = () => {
    setIsPull(true)
    window.setTimeout(() => {
      setIsPull(false)
    }, 1000)
  }

  return (
    <view className='WoDeHuoDong'>
      <scroll-view scroll-y='true' style='height: 100%;' refresher-enabled={true} onrefresherrefresh={OnRefresh} refresher-triggered={IsPull} refresher-background='none'>

        <view className='Content Activity'>
          {
            ActivityList.map((item, index) => (
              <view className='ListItem' key={`ActivityItem-${index}`}>
                <ActivityListItem Data={item}></ActivityListItem>
              </view>
            ))
          }
        </view>

      </scroll-view>
    </view>
  )
}
